Subject: RE: [mobile-ip] some issues with IPv6 mobility draft (sharif)

From: "Shahrier, Sharif M." <[email-masked]>
Date: Tue, 10 Apr 2001 17:52:30 -0400

> 
> I have some issues to discuss with the document:
> 
> "Mobility Support in IPv6"
> <draft-ietf-mobileip-ipv6-13.txt>
> 
> I would be grateful if people can take a look and make any contructive
> comments. Thanks.
> 
> 
> 1.	Consider A, B where A is the mobile and B is the correpondent node.
> A is currently 
> 	away from its  home agent. B is also a mobile node. Suppose A send a
> BU(A) and moves 
> 	to its new location. The network is heavily loaded, and B has not
> yet received the 
> 	binding update. B also was to move. Thus, similarly, it sends a
> BU(B) to A, and moves 
> 	to its new location. The binding updates BU(A) and BU(B) eventually
> arrives at A's 
> 	and B's previous locations, respectively. But A and B have already
> moved. This means 
> 	that nodes neither A or B will are aware of each other new
> respective locations. 
> 	
> 	Thus, I believe this is be an erronous condition wrt A and B not
> knowing each others
> 	final destination addresses.
> 

If the binding is wrong, you will get ICMP errors and if this
persists you should delete your binding cache entry if you
are a correspondent node. Now the packets go through the
home agent which has the right binding.

-mohan

Yes, it may seem that ICMP(host unreachable) message may solve the problem.
However, there are additional issues:

* Suppose that node A is moving "rapidly". Node B is also moving. 
B sends a datagram to A; A is not there; ICMP host unreachable --> B. B
deletes entry from its binding cache; sends Binding Request to A's HA;HA
sends A's COA to B. Supposes this last step is long because of congestion.

During the step above, A sends a Binding Update to its home agent, receives
Acknowledgement, A moves to its new COA. B sends datagram to A's previous
COA; A is not there; B is sent ICMP; Process continues forever.....

A possible solution to prevent this "looping" effect is to keep caching A's
new binding at its previous COA. The previous COA can use the binding to
forward packets to A.

But this method will also fail if one of the "previous" agents caching the
COA's fails or is reconfigured ........

Thus, I prefer my previously posted "solution", in just using the HA
approach because:

o It eliminates extra level of signaling between mobile-to-mobile. Signaling
is only between mobile and HA.
o It simplifies the binding caches at each MN and CN, reduces overhead of
protocol operation.

* Secondly, how does the ICMP<host unreachable> solve the problem with
multicast groups? A multicast group is assigned a particular multicast
address for communication. Thus, if one member of the group is unreachable,
it doesn't seem that the ICMP solution will solve the problem here.

Comments please .......

Sharif.

---

From: Vijay Devarapalli <[email-masked]>
Date: Tue, 10 Apr 2001 15:29:28 -0700

> sends A's COA to B. Supposes this last step is long because of congestion.

Wrong again!! the A's Home agent does not respond to the
binding request. the binding request is tunneled to A
and A responds with a BU.

> new binding at its previous COA. The previous COA can use the binding to

This is already there in the base mobile ipv6. the previous
access router to which the A was connected to forwards
packets to A's new location. this is set up by A sending a 
BU to its previous access router binding its new CoA and 
old CoA.

> Thus, I prefer my previously posted "solution", in just using the HA

whatever you have described till now is based on lot of things
failing. you also assume that the MN is handing off faster than
the round trip time to the CN.

and your solution of the home agent maintaining the binding update
list is not worthy of any consideration. stop this thread on the
mailing list. lets go offline. i can explain things in more detail
there...

vijay